﻿// -----------------------------------------------------------------------
// <copyright file="IIdGenerator.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Common
{
	using System;
	using System.Collections.Generic;
	using System.Linq;
	using System.Text;

	/// <summary>
	/// Interface that defines a method to generate globally unique ids.
	/// </summary>
	/// <remarks>
	/// Implementations of this interface must be thread safe.
	/// </remarks>
	public interface IIdGenerator
	{
		/// <summary>
		/// Generates a globally unique id.
		/// </summary>
		/// <returns>
		/// A globally unique id.
		/// </returns>
		/// <remarks>
		/// It is recommended that the id have a suffix containing the
		/// vendor domain name to ensure globally unique ids.
		/// </remarks>
		string GenerateId();
	}
}
