﻿// -----------------------------------------------------------------------
// <copyright file="ResultNotificationResponseControl.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Pap.Control
{
	using System.Xml;
	using System.Xml.Serialization;

	/// <summary>
	/// Represents the Result Notification PAP response control (XML).
	/// </summary>
	public class ResultNotificationResponseControl : PapControl
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="ResultNotificationResponseControl"/> class.
		/// </summary>
		public ResultNotificationResponseControl()
		{
		}

		/// <summary>
		/// Gets or sets the push id.
		/// </summary>
		/// <value>The push id.</value>
		[XmlAttribute(AttributeName = "push-id")]
		public string PushId
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the address.
		/// </summary>
		/// <value>The address.</value>
		[XmlElement(ElementName = "address")]
		public Address Address
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the code.
		/// </summary>
		/// <value>The code.</value>
		[XmlAttribute(AttributeName = "code")]
		public string Code
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the description.
		/// </summary>
		/// <value>The description.</value>
		[XmlAttribute(AttributeName = "desc")]
		public string Description
		{
			get;
			set;
		}
	}
}
