﻿// -----------------------------------------------------------------------
// <copyright file="BadMessageResponse.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Pap.Parser
{
	using System.Xml.Serialization;

	/// <summary>
	/// Represents a PAP <c>badmessage-response</c>.
	/// </summary>
	public class BadMessageResponse : PapMessage
	{
		/// <summary>
		/// Gets or sets the result code.
		/// </summary>
		/// <value>The result code.</value>
		[XmlAttribute(AttributeName = "code")]
		public string Code
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the result description.
		/// </summary>
		/// <value>The result description.</value>
		[XmlAttribute(AttributeName = "desc")]
		public string Description
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the bad message fragment.
		/// </summary>
		/// <value>The bad message fragment.</value>
		[XmlAttribute(AttributeName = "bad-message-fragment")]
		public string BadMessageFragment
		{
			get;
			set;
		}
	}
}
