﻿// -----------------------------------------------------------------------
// <copyright file="AnyNotificationListener.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Acknowledgement
{
	using Zen.BlackBerry.Push;

	/// <summary>
	/// Implementation of the "any" notification listener.
	/// It extends <see cref="T:NotificationListener"/> and sets the
	/// <c>ListenerType</c>to <see cref="T:ListenerType.Any"/>.
	/// Any class that extends this class must provide an implementation
	/// of the Process method. 
	/// </summary>
	public abstract class AnyNotificationListener : NotificationListener
	{
		/// <summary>
		/// Gets the type of the listener.
		/// </summary>
		/// <value>The type of the listener.</value>
		public override sealed ListenerType ListenerType
		{
			get
			{
				return ListenerType.Any;
			}
		}
	}
}
