﻿// -----------------------------------------------------------------------
// <copyright file="IAcknowledgementService.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Acknowledgement
{
	using System.Collections.Generic;

	/// <summary>
	/// Business logic relating to the handling of acknowledgements.
	/// </summary>
	public interface IAcknowledgementService
	{
		/// <summary>
		/// Requests notification for the given push ids. Used in the case where
		/// result notifications may have been lost.
		/// </summary>
		/// <param name="pushIds">
		/// The push ids to request notifications for.
		/// </param>
		/// <returns>
		/// An enumerable collection of invalid push-ids for which there are
		/// no pending requests.
		/// </returns>
		IEnumerable<string> RequestNotification(IEnumerable<string> pushIds);
	}
}
