﻿// -----------------------------------------------------------------------
// <copyright file="CancelOutcome.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Push
{
	using Zen.BlackBerry.Common;

	/// <summary>
	/// The outcome of a request to cancel a push submission for a particular
	/// address.
	/// </summary>
	public class CancelOutcome
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="CancelOutcome"/> class.
		/// </summary>
		/// <param name="address">The address.</param>
		/// <param name="code">The code.</param>
		/// <param name="description">The description.</param>
		public CancelOutcome(string address, StatusCode code, string description)
		{
			Address = address;
			Code = code;
			Description = description;
		}

		/// <summary>
		/// Gets the address.
		/// </summary>
		/// <value>The address.</value>
		public string Address
		{
			get;
			private set;
		}

		/// <summary>
		/// Gets the status code.
		/// </summary>
		/// <value>The code.</value>
		public StatusCode Code
		{
			get;
			private set;
		}

		/// <summary>
		/// Gets the description.
		/// </summary>
		/// <value>The description.</value>
		public string Description
		{
			get;
			private set;
		}
	}
}
