﻿// -----------------------------------------------------------------------
// <copyright file="SDKSubscriberUpdateFailure.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Subscription.Sync
{
	/// <summary>
	/// Represents a failed attempt to update the status of a subscriber on the
	/// SDK side.
	/// </summary>
	public class SDKSubscriberUpdateFailure
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="SDKSubscriberUpdateFailure"/> class.
		/// </summary>
		/// <param name="type">The type.</param>
		/// <param name="pushAppId">The push app id.</param>
		/// <param name="subscriberId">The subscriber id.</param>
		public SDKSubscriberUpdateFailure(
			SubscriptionType type, string pushAppId, string subscriberId)
		{
			SubscriptionType = type;
			PushApplicationId = pushAppId;
			SubscriberId = subscriberId;
		}

		/// <summary>
		/// Gets or sets the type of the subscription.
		/// </summary>
		/// <value>The type of the subscription.</value>
		public SubscriptionType SubscriptionType
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the push application id.
		/// </summary>
		/// <value>The push application id.</value>
		public string PushApplicationId
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the subscriber id.
		/// </summary>
		/// <value>The subscriber id.</value>
		public string SubscriberId
		{
			get;
			set;
		}
	}
}
