﻿// -----------------------------------------------------------------------
// <copyright file="SubscriptionStatusCode.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Subscription.Web
{
	using System.Xml.Serialization;

	/// <summary>
	/// Defines subscription status codes.
	/// </summary>
	public enum SubscriptionStatusCode
	{
		/// <summary>
		/// Success.
		/// </summary>
		[XmlEnum("SUCCESS")]
		Success,

		/// <summary>
		/// Invalid address.
		/// </summary>
		[XmlEnum("INVALID_ADDRESS")]
		InvalidAddress,

		/// <summary>
		/// Invalid parameters.
		/// </summary>
		[XmlEnum("INVALID_PARAMETERS")]
		InvalidParameters,

		/// <summary>
		/// Invalid push application.
		/// </summary>
		[XmlEnum("INVALID_PUSH_APPLICATION")]
		InvalidPushApplication,

		/// <summary>
		/// Subscriber not found.
		/// </summary>
		[XmlEnum("SUBSCRIBER_NOT_FOUND")]
		SubscriberNotFound,

		/// <summary>
		/// Invalid subscriber id.
		/// </summary>
		[XmlEnum("INVALID_SUBSCRIBER_ID")]
		InvalidSubscriberId,

		/// <summary>
		/// Cannot suspend since unsubscribed.
		/// </summary>
		[XmlEnum("CANNOT_SUSPEND_SINCE_UNSUBSCRIBED")]
		CannotSuspendSinceUnsubscribed,

		/// <summary>
		/// Cannot resume since unsubscribed.
		/// </summary>
		[XmlEnum("CANNOT_RESUME_SINCE_UNSUBSCRIBED")]
		CannotResumeSinceUnsubscribed,

		/// <summary>
		/// Invalid user name.
		/// </summary>
		[XmlEnum("INVALID_USERNAME")]
		InvalidUserName,

		/// <summary>
		/// Invalid password.
		/// </summary>
		[XmlEnum("INVALID_PASSWORD")]
		InvalidPassword,

		/// <summary>
		/// Subscription not supported.
		/// </summary>
		[XmlEnum("SUBSCRIPTION_NOT_SUPPORTED")]
		SubscriptionNotSupported,

		/// <summary>
		/// Subscriber authentication failed.
		/// </summary>
		[XmlEnum("SUBSCRIBER_AUTHENTICATION_FAILED")]
		SubscriberAuthenticationFailed,

		/// <summary>
		/// Content provider subscription failed.
		/// </summary>
		[XmlEnum("CONTENT_PROVIDER_SUBSCRIPTION_FAILED")]
		ContentProviderSubscriptionFailed,

		/// <summary>
		/// Invalid type.
		/// </summary>
		[XmlEnum("INVALID_TYPE")]
		InvalidType,

		/// <summary>
		/// System error.
		/// </summary>
		[XmlEnum("SYSTEM_ERROR")]
		SystemError,
	}
}
