﻿namespace Zen.BlackBerry.Push.Repositories
{
	using Zen.BlackBerry.Push.DataAccess;

	/// <summary>
	/// Base class for all Push Service SDK repositories.
	/// </summary>
	public class Repository
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="Repository"/> class.
		/// </summary>
		public Repository()
			: this(new ZenPushServiceEntities())
		{
		}

		/// <summary>
		/// Initializes a new instance of the <see cref="Repository"/> class.
		/// </summary>
		/// <param name="context">The context.</param>
		public Repository(ZenPushServiceEntities context)
		{
			ObjectContext = context;
		}

		/// <summary>
		/// Gets the object context.
		/// </summary>
		/// <value>The object context.</value>
		protected ZenPushServiceEntities ObjectContext
		{
			get;
			private set;
		}
	}
}
