﻿// -----------------------------------------------------------------------
// <copyright file="ListenerType.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Acknowledgement
{
	using System;

	/// <summary>
	/// <c>ListenerType</c> defines the kind messages a listener will respond
	/// to.
	/// </summary>
	[Flags]
	public enum ListenerType
	{
		/// <summary>
		/// Listener will be called only for success notifications.
		/// </summary>
		Success = 1,

		/// <summary>
		/// Listener will be called only for failure notifications.
		/// </summary>
		Failure = 2,

		/// <summary>
		/// Listener will be called only for the last notification.
		/// </summary>
		Last = 4,

		/// <summary>
		/// Listener will be called for any notification
		/// </summary>
		Any = 7,
	}
}
