﻿// -----------------------------------------------------------------------
// <copyright file="InvalidPushAppErrorCode.cs" company="Microsoft">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Push.AppManagement
{
	using System;
	using System.Collections.Generic;
	using System.Linq;
	using System.Text;

	/// <summary>
	/// Error codes relating to a push application being invalid.
	/// </summary>
	public enum InvalidPushAppErrorCode
	{
		/// <summary>
		/// A push application with the given id already exists.
		/// </summary>
		AlreadyExists,

		/// <summary>
		/// A push application could not be found.
		/// </summary>
		DoesNotExist,

		/// <summary>
		/// A push application is inactive (when it should be active).
		/// </summary>
		Inactive,

		/// <summary>
		/// A push application is active (when it should be inactive).
		/// </summary>
		Active,

		/// <summary>
		/// A push application has expired.
		/// </summary>
		Expired,

		/// <summary>
		/// A push application with the given name already exists.
		/// </summary>
		NameExists,

		/// <summary>
		/// A push application was not of the expected type for the operation being performed.
		/// </summary>
		InvalidApplicationType
	}
}
