﻿// -----------------------------------------------------------------------
// <copyright file="PushApplicationServiceLevel.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Push.AppManagement
{
	using System;
	using System.Collections.Generic;
	using System.Linq;
	using System.Text;

	/// <summary>
	/// The service level of a push application.
	/// </summary>
	/// <remarks>
	/// Push Essentials is less reliable, but more performance effective than
	/// Push Plus. With Push Essentials, push requests cannot be stored, no
	/// acknowledgement is allowed, application-level reliability is not
	/// supported, and status query is not supported. 
	/// </remarks>
	public enum PushApplicationServiceLevel
	{
		/// <summary>
		/// Push Essentials: High performance, lower reliability.
		/// </summary>
		PushEssentials = 0,

		/// <summary>
		/// Push Plus: Lower Performance, high reliability.
		/// </summary>
		PushPlus = 1
	}
}
