﻿// -----------------------------------------------------------------------
// <copyright file="IPushCountService.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Push.Count
{
	/// <summary>
	/// Service for tracking when push requests are complete.
	/// </summary>
	public interface IPushCountService
	{
		/// <summary>
		/// Adds a counter for the push request with the given push id.
		/// </summary>
		/// <param name="pushId">The push id.</param>
		void Add(string pushId);

		/// <summary>
		/// Increments the counter for the push request with the given push id
		/// by the amount indicated.
		/// </summary>
		/// <param name="pushId">The push id.</param>
		/// <param name="amount">The amount.</param>
		/// <param name="max">The max.</param>
		/// <returns>
		/// A boolean <c>true</c> if counter is equal to <paramref name="max"/>
		/// as a result of the invocation.
		/// </returns>
		bool Increment(string pushId, int amount, int max);

		/// <summary>
		/// Removes a counter for the push request with the given push id.
		/// </summary>
		/// <param name="pushId">The push id.</param>
		void Remove(string pushId);
	}
}
