﻿// -----------------------------------------------------------------------
// <copyright file="AuthenticationRequest.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Subscription.Auth
{
	/// <summary>
	/// Represents the details from an HTTP request to be used for
	/// authenticating a subscriber.
	/// </summary>
	public class AuthenticationRequest : BaseAuthenticationRequest
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="AuthenticationRequest"/> class.
		/// </summary>
		public AuthenticationRequest()
		{
		}

		/// <summary>
		/// Initializes a new instance of the <see cref="AuthenticationRequest"/> class.
		/// </summary>
		/// <param name="appId">The app id.</param>
		/// <param name="userName">Name of the user.</param>
		/// <param name="password">The password.</param>
		/// <param name="type">The type.</param>
		public AuthenticationRequest(
			string appId,
			string userName,
			string password,
			SubscriptionType type)
			: base(appId, userName)
		{
			Password = password;
			SubscriptionType = type;
		}

		/// <summary>
		/// Gets or sets the password.
		/// </summary>
		/// <value>The password.</value>
		public string Password
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the type of the subscription.
		/// </summary>
		/// <value>The type of the subscription.</value>
		public SubscriptionType SubscriptionType
		{
			get;
			set;
		}
	}
}
