﻿// -----------------------------------------------------------------------
// <copyright file="BaseAuthenticationRequest.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Subscription.Auth
{
	/// <summary>
	/// Base class representing the details from an HTTP request to be used for
	/// authenticating a subscriber.
	/// </summary>
	public class BaseAuthenticationRequest
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="BaseAuthenticationRequest"/> class.
		/// </summary>
		public BaseAuthenticationRequest()
		{
		}

		/// <summary>
		/// Initializes a new instance of the <see cref="BaseAuthenticationRequest"/> class.
		/// </summary>
		/// <param name="appId">The app id.</param>
		/// <param name="userName">Name of the user.</param>
		public BaseAuthenticationRequest(string appId, string userName)
		{
			PushApplicationId = appId;
			UserName = userName;
		}

		/// <summary>
		/// Gets or sets the push application id.
		/// </summary>
		/// <value>The push application id.</value>
		public string PushApplicationId
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the name of the user.
		/// </summary>
		/// <value>The name of the user.</value>
		public string UserName
		{
			get;
			set;
		}
	}
}
