﻿// -----------------------------------------------------------------------
// <copyright file="Subscriber.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Subscription
{
	using System;

	/// <summary>
	/// Represents a subscriber to a push application.
	/// </summary>
	public class Subscriber : SubscriberPartial
	{
		/// <summary>
		/// Gets or sets the model.
		/// </summary>
		/// <value>The model.</value>
		public string Model
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the os version.
		/// </summary>
		/// <value>The os version.</value>
		public string OsVersion
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the resume date.
		/// </summary>
		/// <value>The resume date.</value>
		public DateTime? ResumeDate
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the subscribe date.
		/// </summary>
		/// <value>The subscribe date.</value>
		public DateTime? SubscribeDate
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the suspend date.
		/// </summary>
		/// <value>The suspend date.</value>
		public DateTime? SuspendDate
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the unsubscribe date.
		/// </summary>
		/// <value>The unsubscribe date.</value>
		public DateTime? UnsubscribeDate
		{
			get;
			set;
		}
	}
}
