﻿// -----------------------------------------------------------------------
// <copyright file="PPGSubscriberUpdateFailure.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Subscription.Sync
{
	/// <summary>
	/// Represents a failed attempt to update the status of a subscriber on the
	/// PPG end.
	/// </summary>
	public class PPGSubscriberUpdateFailure
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="PPGSubscriberUpdateFailure"/> class.
		/// </summary>
		/// <param name="type">The type.</param>
		/// <param name="pushAppId">The push app id.</param>
		/// <param name="pushAppPassword">The push app password.</param>
		/// <param name="address">The address.</param>
		public PPGSubscriberUpdateFailure(
			SubscriptionType type,
			string pushAppId,
			string pushAppPassword,
			string address)
		{
			SubscriptionType = type;
			PushApplicationId = pushAppId;
			PushApplicationPassword = pushAppPassword;
			Address = address;
		}

		/// <summary>
		/// Gets or sets the type of the subscription.
		/// </summary>
		/// <value>The type of the subscription.</value>
		public SubscriptionType SubscriptionType
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the push application id.
		/// </summary>
		/// <value>The push application id.</value>
		public string PushApplicationId
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the push application password.
		/// </summary>
		/// <value>The push application password.</value>
		public string PushApplicationPassword
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the address.
		/// </summary>
		/// <value>The address.</value>
		public string Address
		{
			get;
			set;
		}
	}
}
