﻿// -----------------------------------------------------------------------
// <copyright file="BaseRequest.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Subscription.Web
{
	/// <summary>
	/// Base class that represents the details of an HTTP request from a
	/// subscription operation.
	/// </summary>
	public class BaseRequest
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="BaseRequest"/> class.
		/// </summary>
		public BaseRequest()
		{
		}

		/// <summary>
		/// Initializes a new instance of the <see cref="BaseRequest"/> class.
		/// </summary>
		/// <param name="pushApplicationId">The push application id.</param>
		/// <param name="subscriberId">The subscriber id.</param>
		public BaseRequest(string pushApplicationId, string subscriberId)
		{
			PushApplicationId = pushApplicationId;
			SubscriberId = subscriberId;
		}

		/// <summary>
		/// Gets or sets the push application id.
		/// </summary>
		/// <value>The push application id.</value>
		public string PushApplicationId
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets the subscriber id.
		/// </summary>
		/// <value>The subscriber id.</value>
		public string SubscriberId
		{
			get;
			set;
		}
	}
}
