﻿// -----------------------------------------------------------------------
// <copyright file="UnsubscribeRequest.cs" company="Zen Design Corp">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Zen.BlackBerry.Subscription.Web
{
	/// <summary>
	/// Represents the details of an unsubscribe request.
	/// </summary>
	public class UnsubscribeRequest : BaseRequest
	{
		#region Public Constructors
		/// <summary>
		/// Initializes a new instance of the <see cref="UnsubscribeRequest"/> class.
		/// </summary>
		public UnsubscribeRequest()
		{
		}

		/// <summary>
		/// Initializes a new instance of the <see cref="UnsubscribeRequest"/> class.
		/// </summary>
		/// <param name="pushApplicationId">The push application id.</param>
		/// <param name="subscriberId">The subscriber id.</param>
		public UnsubscribeRequest(string pushApplicationId, string subscriberId)
			: base(pushApplicationId, subscriberId)
		{
		} 
		#endregion

		#region Public Properties
		/// <summary>
		/// Gets or sets a value indicating whether this instance is system generated.
		/// </summary>
		/// <value>
		/// <c>true</c> if this instance is system generated; otherwise, <c>false</c>.
		/// </value>
		public bool IsSystemGenerated
		{
			get;
			set;
		}

		/// <summary>
		/// Gets or sets a value indicating whether to notify the Push Proxy Gateway.
		/// </summary>
		/// <value><c>true</c> if [notify gateway]; otherwise, <c>false</c>.</value>
		public bool NotifyGateway
		{
			get;
			set;
		} 
		#endregion
	}
}
